Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.control
Enum TaskBaseAnnotations.AssignmentInstructions81x.Algorithm

    java.lang.Object
      java.lang.Enum<TaskBaseAnnotations.AssignmentInstructions81x.Algorithm>
          com.bea.control.TaskBaseAnnotations.AssignmentInstructions81x.Algorithm

All Implemented Interfaces:
  Serializable, Comparable<TaskBaseAnnotations.AssignmentInstructions81x.Algorithm>

Enclosing class:
  TaskBaseAnnotations.AssignmentInstructions81x

    public static enum TaskBaseAnnotations.AssignmentInstructions81x.Algorithm

extends Enum<TaskBaseAnnotations.AssignmentInstructions81x.Algorithm>

Enum Constant Summary
`ToUser`
`ToUserInGroup`
`ToUsersAndGroups`

Method Summary
`static TaskBaseAnnotations.AssignmentInstructions81x.Algorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskBaseAnnotations.AssignmentInstructions81x.Algorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ToUser

    public static final TaskBaseAnnotations.AssignmentInstructions81x.Algorithm ToUser

### ToUserInGroup

    public static final TaskBaseAnnotations.AssignmentInstructions81x.Algorithm ToUserInGroup

### ToUsersAndGroups

    public static final TaskBaseAnnotations.AssignmentInstructions81x.Algorithm ToUsersAndGroups

Method Detail

### values

    public static final TaskBaseAnnotations.AssignmentInstructions81x.Algorithm[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TaskBaseAnnotations.AssignmentInstructions81x.Algorithm c : TaskBaseAnnotations.AssignmentInstructions81x.Algorithm.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TaskBaseAnnotations.AssignmentInstructions81x.Algorithm valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD